/*******************************************************************************
 * Copyright (c) 2014 BREDEX GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     BREDEX GmbH - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.jubula.toolkit.javafx.internal;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.annotation.Generated;

import org.eclipse.jdt.annotation.NonNull;
import org.eclipse.jubula.toolkit.internal.AbstractToolkitInfo;
import org.eclipse.jubula.tools.internal.xml.businessmodell.ComponentClass;
import org.eclipse.jubula.tools.internal.xml.businessmodell.Property;

/**
 * Contains information about the javafx toolkit and its components
 */
@Generated(value = "org.eclipse.jubula.toolkit.api.gen.ToolkitInfoGenerator", 
           date =  "2017-05-05T08:49:07.623Z")
public final class JavafxToolkitInfo extends AbstractToolkitInfo {

    @NonNull private Map<ComponentClass, String> m_map = new HashMap<ComponentClass, String>();

    /**
     * Constructor
     */
    public JavafxToolkitInfo() {
        ComponentClass newComponentClass1 = new ComponentClass("javafx.stage.Stage"); //$NON-NLS-1$
        m_map.put(newComponentClass1,"org.eclipse.jubula.rc.javafx.tester.JavaFXApplicationTester"); //$NON-NLS-1$
        ComponentClass newComponentClass2 = new ComponentClass("org.eclipse.jubula.JavaFXReflectionComponent"); //$NON-NLS-1$
        m_map.put(newComponentClass2,"org.eclipse.jubula.rc.javafx.tester.JavaFXReflectionTester"); //$NON-NLS-1$
        ComponentClass newComponentClass3 = new ComponentClass("javafx.scene.control.ButtonBase"); //$NON-NLS-1$
        m_map.put(newComponentClass3,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass4 = new ComponentClass("javafx.scene.control.Button"); //$NON-NLS-1$
        m_map.put(newComponentClass4,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass5 = new ComponentClass("javafx.scene.control.MenuButton"); //$NON-NLS-1$
        m_map.put(newComponentClass5,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass6 = new ComponentClass("javafx.scene.control.CheckBox"); //$NON-NLS-1$
        m_map.put(newComponentClass6,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass7 = new ComponentClass("javafx.scene.control.Hyperlink"); //$NON-NLS-1$
        m_map.put(newComponentClass7,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass8 = new ComponentClass("javafx.scene.control.ToggleButton"); //$NON-NLS-1$
        m_map.put(newComponentClass8,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass9 = new ComponentClass("javafx.scene.control.RadioButton"); //$NON-NLS-1$
        m_map.put(newComponentClass9,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass10 = new ComponentClass("javafx.scene.control.Label"); //$NON-NLS-1$
        m_map.put(newComponentClass10,"org.eclipse.jubula.rc.common.tester.LabelTester"); //$NON-NLS-1$
        ComponentClass newComponentClass11 = new ComponentClass("javafx.scene.control.TitledPane"); //$NON-NLS-1$
        m_map.put(newComponentClass11,"org.eclipse.jubula.rc.common.tester.LabelTester"); //$NON-NLS-1$
        ComponentClass newComponentClass12 = new ComponentClass("javafx.scene.text.Text"); //$NON-NLS-1$
        m_map.put(newComponentClass12,"org.eclipse.jubula.rc.common.tester.LabelTester"); //$NON-NLS-1$
        ComponentClass newComponentClass13 = new ComponentClass("javafx.scene.control.TextInputControl"); //$NON-NLS-1$
        m_map.put(newComponentClass13,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass14 = new ComponentClass("javafx.scene.control.TextField"); //$NON-NLS-1$
        m_map.put(newComponentClass14,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass15 = new ComponentClass("javafx.scene.control.PasswordField"); //$NON-NLS-1$
        m_map.put(newComponentClass15,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass16 = new ComponentClass("javafx.scene.control.TextArea"); //$NON-NLS-1$
        m_map.put(newComponentClass16,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass17 = new ComponentClass("javafx.scene.control.TableView"); //$NON-NLS-1$
        m_map.put(newComponentClass17,"org.eclipse.jubula.rc.javafx.tester.TableTester"); //$NON-NLS-1$
        ComponentClass newComponentClass18 = new ComponentClass("javafx.scene.control.TreeView"); //$NON-NLS-1$
        m_map.put(newComponentClass18,"org.eclipse.jubula.rc.javafx.tester.TreeViewTester"); //$NON-NLS-1$
        ComponentClass newComponentClass19 = new ComponentClass("javafx.scene.control.TreeTableView"); //$NON-NLS-1$
        m_map.put(newComponentClass19,"org.eclipse.jubula.rc.javafx.tester.TreeTableViewTester"); //$NON-NLS-1$
        ComponentClass newComponentClass20 = new ComponentClass("javafx.scene.control.Accordion"); //$NON-NLS-1$
        m_map.put(newComponentClass20,"org.eclipse.jubula.rc.common.tester.TabbedPaneTester"); //$NON-NLS-1$
        ComponentClass newComponentClass21 = new ComponentClass("javafx.scene.control.ChoiceBox"); //$NON-NLS-1$
        m_map.put(newComponentClass21,"org.eclipse.jubula.rc.common.tester.ComboBoxTester"); //$NON-NLS-1$
        ComponentClass newComponentClass22 = new ComponentClass("javafx.scene.control.ComboBox"); //$NON-NLS-1$
        m_map.put(newComponentClass22,"org.eclipse.jubula.rc.common.tester.ComboBoxTester"); //$NON-NLS-1$
        ComponentClass newComponentClass23 = new ComponentClass("javafx.scene.control.TabPane"); //$NON-NLS-1$
        m_map.put(newComponentClass23,"org.eclipse.jubula.rc.common.tester.TabbedPaneTester"); //$NON-NLS-1$
        ComponentClass newComponentClass24 = new ComponentClass("javafx.scene.control.MenuBar"); //$NON-NLS-1$
        m_map.put(newComponentClass24,"org.eclipse.jubula.rc.javafx.tester.MenuTester"); //$NON-NLS-1$
        ComponentClass newComponentClass25 = new ComponentClass("javafx.scene.control.ListView"); //$NON-NLS-1$
        m_map.put(newComponentClass25,"org.eclipse.jubula.rc.javafx.tester.ListViewTester"); //$NON-NLS-1$
        ComponentClass newComponentClass26 = new ComponentClass("javafx.scene.image.ImageView"); //$NON-NLS-1$
        m_map.put(newComponentClass26,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass27 = new ComponentClass("javafx.scene.control.Tooltip"); //$NON-NLS-1$
        m_map.put(newComponentClass27,"org.eclipse.jubula.rc.javafx.tester.TooltipTester"); //$NON-NLS-1$
        ComponentClass newComponentClass28 = new ComponentClass("javafx.scene.control.DatePicker"); //$NON-NLS-1$
        m_map.put(newComponentClass28,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass29 = new ComponentClass("org.eclipse.jubula.javafx.os.component"); //$NON-NLS-1$
        m_map.put(newComponentClass29,"org.eclipse.jubula.rc.common.tester.OperatingSystemTester"); //$NON-NLS-1$
        ComponentClass newComponentClass30 = new ComponentClass("javafx.scene.control.Slider"); //$NON-NLS-1$
        m_map.put(newComponentClass30,"org.eclipse.jubula.rc.common.tester.SliderTester"); //$NON-NLS-1$
        ComponentClass newComponentClass31 = new ComponentClass("javafx.scene.shape.Shape"); //$NON-NLS-1$
        m_map.put(newComponentClass31,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
    }
    
    /** {@inheritDoc} */
    @NonNull public Map<ComponentClass, String> getTypeMapping() {
        return m_map;
    }
}